export class RollingBlackDice {
    roll(times: number) {
        let wounds = 0;
        let claws = 0;
        //miss 33%
        //1 claw 33%
        //1 wound 17%
        //1 claw, 1 wound 17%

        for (let i = 0; i < times; i++) {
            let result = Math.random() * 100;
            if (result <= 33) {
            } else if (result <= 67) {
                claws += 1;
            } else if (result <= 83) {
                wounds += 1;
            } else {
                claws += 1;
                wounds += 1;
            }
        }
        return { claws, wounds };
    }
}
